/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Segoe UI", sans-serif;
}

/* BACKGROUND */
body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(135deg, #0f172a, #1e293b);
}

/* MAIN CARD */
.login-container {
  width: 340px;
  background: #111827;
  padding: 30px 25px;
  border-radius: 15px;
  text-align: center;
  box-shadow: 0 0 25px rgba(0,0,0,0.5);
}

/* TITLE */
.title {
  font-size: 32px;
  font-weight: bold;
  color: #22c55e;
  letter-spacing: 2px;
}

/* SUBTITLE */
.subtitle {
  color: #94a3b8;
  margin-bottom: 25px;
  font-size: 14px;
}

/* INPUT */
input {
  width: 100%;
  padding: 12px;
  margin: 10px 0;
  border-radius: 8px;
  border: none;
  outline: none;
  background: #1f2937;
  color: white;
  font-size: 14px;
}

/* OTP BOX STYLE */
#otp {
  letter-spacing: 5px;
  text-align: center;
  font-weight: bold;
}

/* BUTTON */
button {
  width: 100%;
  padding: 12px;
  margin-top: 12px;
  border: none;
  border-radius: 8px;
  background: #22c55e;
  color: white;
  font-weight: bold;
  cursor: pointer;
  transition: 0.3s;
}

button:hover {
  background: #16a34a;
}

/* GOOGLE BUTTON */
.google-login button {
  background: #3b82f6;
}

.google-login button:hover {
  background: #2563eb;
}

/* MESSAGE */
#msg {
  margin-top: 10px;
  font-size: 13px;
  color: #f87171;
}